BackendHTTP APIFunctions

List functions

Requires an API key with the environment:functions:list scope. Learn more about API key scopes.

Returns the functions available to an integration.

Catalog action entries have source: "tools-catalog", enabled: true, id: null, and last_deployed: null.

GET
/integrations/{uniqueKey}/functions

Returns the functions available to an integration, including Tenklo catalog actions when available. Requires an API key with the environment:functions:list scope.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

uniqueKey*string

The integration ID (unique_key) that you created in Tenklo.

Query Parameters

type?string

Filter by function type.

Value in"sync""action""on-event""tool"
search?string

Case-insensitive filter on the function name.

Length1 <= length <= 255
page?integer
Range0 <= value
Default0
limit?integer
Range1 <= value <= 100
Default20

Response Body

Successfully returned the integration's functions

application/json
  1. response
data*array<|||>
pagination*
Example Request
curl -X GET 'https://api.tenklo.dev/integrations/string/functions'
Example Response
{  "data": [    {      "name": "string",      "description": "string",      "scopes": [        "string"      ],      "type": "sync",      "input": "string",      "returns": [        "string"      ],      "json_schema": {},      "runs": "string",      "auto_start": true,      "track_deletes": true,      "id": 0,      "enabled": true,      "last_deployed": "2019-08-24T14:15:22Z",      "source": "catalog"    }  ],  "pagination": {    "total": 0,    "page": 0,    "limit": 0  }}